<?php

/**
 * Blogging_Icon Theme Customizer.
 *
 * @package Blogging Icon
 */

//customizer core option
require get_template_directory().'/inc/customizer/core/customizer-core.php';

//customizer
require get_template_directory().'/inc/customizer/core/default.php';

// Customizer - Add CSS

function blogging_icon_customizer_colors() {
        
    ?>
    <style type="text/css">

        #masthead { background:<?php echo esc_attr(get_theme_mod( 'blogging_icon_header_bg' )); ?>; }
        .secondary-bgcolor { background:<?php echo esc_attr(get_theme_mod( 'blogging_icon_topbar_bg' )); ?>; }
        .site-footer { background:<?php echo esc_attr(get_theme_mod( 'blogging_icon_footer_bg' )); ?>; }
        h2.entry-title a, body .sidr a:hover, body .sidr a:focus, .widget:not(.galway_social_widget) ul li a:hover, .sticky header:before, .main-navigation .menu > ul > li:hover > a, .main-navigation .menu > ul > li:focus > a, .main-navigation .menu > ul > li.current-menu-item > a{ color:<?php echo esc_attr(get_theme_mod( 'blogging_icon_site_color' )); ?>; }
        .read-more, .more-link, body .nav-links .nav-previous, body .nav-links .nav-next
		 { color:<?php echo esc_attr(get_theme_mod( 'blogging_icon_site_color' )); ?>; }

    </style>
    <?php
}
add_action( 'wp_head', 'blogging_icon_customizer_colors' );

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function blogging_icon_customize_register($wp_customize) {

	// Load custom controls.
	require get_template_directory().'/inc/customizer/core/control.php';

	// Load customize sanitize.
	require get_template_directory().'/inc/customizer/core/sanitize.php';

	// Load customize callback.
	require get_template_directory().'/inc/customizer/core/callback.php';

	$wp_customize->get_setting('blogname')->transport        = 'postMessage';
	$wp_customize->get_setting('blogdescription')->transport = 'postMessage';

	/*theme option panel details*/
	require get_template_directory().'/inc/customizer/theme-option.php';

}

add_action('customize_register', 'blogging_icon_customize_register');

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 *
 * @since 1.0.0
 */
function blogging_icon_customize_preview_js() {

	wp_enqueue_script('blogging_icon_customizer', get_template_directory_uri().'/js/customizer.js', array('customize-preview'), '20130508', true);

}

add_action('customize_preview_init', 'blogging_icon_customize_preview_js');

function blogging_icon_customizer_css() {
	wp_enqueue_script('blogging_icon_customize_controls', get_template_directory_uri().'/assets/twp/js/customizer-admin.js', array('customize-controls'));
}
add_action('customize_controls_enqueue_scripts', 'blogging_icon_customizer_css', 0);
